Name:		msktutil
Version:	1.0
Release:	0.git.1%{?dist}
Summary:	Program for interoperability with Active Directory 

Group:		System Environment/Base
License:	GPLv2+
URL:		https://sourceforge.net/projects/msktutil
Source0:	https://sourceforge.net/projects/msktutil/files/msktutil-1.0.tar.bz2
#Source0:	 https://msktutil.googlecode.com/files/msktutil-70d415464d99a1748570a79b724ed9af22f112cb.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	openldap-devel
BuildRequires:	krb5-devel
BuildRequires:  autoconf
Requires:	cyrus-sasl-gssapi

#Patch100:       msktutil-0.5.1-no-canonical-name.patch
Patch100:        msktutil-1.0-dontchangepw.patch
Patch101:        0001-adding-dont-update-dnshostname-option.patch
%description
Msktutil is a program for interoperability with Active Directory that can
create a computer account in Active Directory, create a system Kerberos keytab,
add and remove principals to and from that keytab, and change the computer
account's password.

%prep
%setup -q -n %{name}-1.0
%patch100 -p1 
%patch101 -p1

%build
# Have to set CPPFLAGS per https://bugzilla.redhat.com/550889
# Fedora 17 and later include a symlink.
if [ ! -r /usr/include/com_err.h ]; then
	# RHEL 5 and 6 store com_err.h here.
	export CPPFLAGS="-I/usr/include/et/"
fi

export PATH_KRB5_CONFIG="/usr/bin/krb5-config"
# RHEL 5 uses /usr/kerberos.
if [ -x /usr/kerberos/bin/krb5-config ]; then
	export PATH_KRB5_CONFIG="/usr/kerberos/bin/krb5-config"
fi

autoconf

%configure --with-krb5-config=$PATH_KRB5_CONFIG
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc LICENSE README ChangeLog windows-salt.txt INSTALL
%{_mandir}/man1/%{name}.1*
%{_sbindir}/%{name}


%changelog
* Thu Feb 16 2017 Jaroslaw Polok <jaroslaw.polok@cern.ch> 1.0
- add patch for --dont-update-dnshostname
  (https://sourceforge.net/p/msktutil/code/merge-requests/1/)

* Mon Feb 13 2017 Jaroslaw Polok <jaroslaw.polok@cern.ch> 1.0
- update to 1.0
- add patch for user keytabs without password change: 
  https://sourceforge.net/p/msktutil/tickets/57/

* Wed Jan 28 2015 Jaroslaw Polok <jaroslaw.polok@cern.ch> 0.5.1.1-0
- add patch for --no-canonical-name 
  https://code.google.com/p/msktutil/issues/detail?id=50

* Fri Nov  8 2013 Jaroslaw Polok <jaroslaw.polok@cern.ch> 0.5.1-0
- update to 0.5.1 release

* Tue Nov 27 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> 0.4.2-0
- update to 0.4.2 release

* Mon Nov 19 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> 0.4.1-1.20121119
- update to: http://repo.or.cz/w/msktutil.git/commit/70d415464d99a1748570a79b724ed9af22f112cb
- adds --old-account-password option
- fixes sAMAccountName limit to 20 chars (was 19)
- adding autoconf to buildreqs.

* Fri Mar 16 2012 Ken Dreyer <ktdreyer@ktdreyer.com> 0.4.1-1
- Update to 0.4.1
- Remove all upstreamed patches
- No need to regenerate configure with autoconf
- New upstream URL

* Sat Dec 3 2011 Ken Dreyer <ktdreyer@ktdreyer.com> 0.4-7
- Adjust conditionals for setting CPPFLAGS and KRB5_CONFIG
- Use PATH_KRB5_CONFIG instead of KRB5_CONFIG when running configure,
  since the latter is used by the Kerberos libraries to specify an
  alternative path to krb5.conf. Thanks again Russ Allbery.

* Mon Oct 3 2011 Ken Dreyer <ktdreyer@ktdreyer.com> 0.4-6
- Adjust regex in krb5-config patch. Thanks Russ Allbery.

* Sat Oct 1 2011 Ken Dreyer <ktdreyer@ktdreyer.com> 0.4-5
- Use patches from upstream git, instead of my own from -4
- Patch Makefile to use $LIBS
- Patch to use krb5-config to automatically determine build flags
- Bump Fedora version to F16 for /usr/include/et
- Regenerate configure with autoconf

* Thu Jul 21 2011 Ken Dreyer <ktdreyer@ktdreyer.com> 0.4-4
- Patch LDAP debug code to correctly report get/set operations

* Sun Jul 10 2011 Ken Dreyer <ktdreyer@ktdreyer.com> 0.4-3
- Reformat BRs, include ChangeLog, explicitly name binary.
- Patch Makefile to be verbose.

* Tue Jul 5 2011 Ken Dreyer <ktdreyer@ktdreyer.com> 0.4-2
- Don't package INSTALL and un-mark manpages as doc

* Tue May 10 2011 Ken Dreyer <ktdreyer@ktdreyer.com> 0.4-1
- Initial package
